#include "iostream"
#include <cstdlib>
#include "irek.h"

using namespace std;

int main( int argc, char **argv ) {

	int exitFlag = ExitHIDboot();
	if(exitFlag >= 0) {
		if(exitFlag == 1) {
			cout<<"Stabilizacja. Czekaj 2s ..."<<endl;
			sleep(2); // jesli podlaczono nadajnik, czas na przelaczenie do trybu nadawania
		}
		unsigned int waitMS = 0;
		unsigned short no = 512; // domyslny nr nadajnika
		switch(argc){
			case 4: {
				if(atoi(argv[3])) waitMS = atoi(argv[3]);
			}
			case 3: {	// akcja dla dwoch argumentow wejsciowych
				no = atoi(argv[2]) + 512;
				if(no == 10+512)
					return SendCommandToAll(argv[1], waitMS);
			}
			case 2: {	// akcja dla jednego argumentu wejsciowego
				if(ConnectIRek(no) >= 0) 
					return SendCommand(argv[1], waitMS);
				else 
					return -5;
			}
			case 1: {	// brak argumentow
				cout<<"Brak sciezki do pliku fir z ramka danych!"<<endl;
				cout<<"\x22Sciezka_do_programu\x22 \x22Sciezka_do_pliku_komendy\x22 [nr_nadajnika] [przerwa_ms]"<<endl;
				return -2;
			}
			default: {	// inny przypadek
				cout<<"Zla liczba argumentow! Przerwano dzialanie programu."<<endl;
				return -3;
			}
		}

	}
	return -1;

}
 
